WeakSetChangeListener (JavaFX 17)

Module javafx.base
Package javafx.collections

## Class WeakSetChangeListener<E>

- java.lang.Object
- - javafx.collections.WeakSetChangeListener<E>

- Type Parameters:
    `E` - The type of the observed value
  All Implemented Interfaces:
    `WeakListener`, `SetChangeListener<E>`

      public final class WeakSetChangeListener<E>
      extends Object
      implements SetChangeListener<E>, WeakListener

  A `WeakSetChangeListener` can be used, if an `ObservableSet` should only maintain a weak reference to the listener. This helps to avoid memory leaks, that can occur if observers are not unregistered from observed objects after use.

  `WeakSetChangeListener` are created by passing in the original `SetChangeListener`. The `WeakSetChangeListener` should then be registered to listen for changes of the observed object.

  Note: You have to keep a reference to the `SetChangeListener`, that was passed in as long as it is in use, otherwise it will be garbage collected to soon.

  Since:
    JavaFX 2.1
  See Also:
    `SetChangeListener`, `ObservableSet`, `WeakListener`

- - ### Nested Class Summary

    - ### Nested classes/interfaces declared in interface javafx.collections.SetChangeListener

      `SetChangeListener.Change<E>`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `WeakSetChangeListener​(SetChangeListener<E> listener)` | The constructor of `WeakSetChangeListener`.

  - ### Method Summary

    - ### Methods declared in class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods declared in interface javafx.collections.SetChangeListener

      `onChanged`

    - ### Methods declared in interface javafx.beans.WeakListener

      `wasGarbageCollected`

- - ### Constructor Detail

    - #### WeakSetChangeListener

          public WeakSetChangeListener​(SetChangeListener<E> listener)

      The constructor of `WeakSetChangeListener`.
      Parameters:
        `listener` - The original listener that should be notified